<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

if(!isset($user)){
echo '<div class="err">Доступ закрыт</div>';
}else if(isset($user) && $user['level']<4){
echo '<div class="err">Доступ закрыт</div>';
}else{


$set['title']='Смайлы &amp; '.$_SERVER['HTTP_HOST'];
include_once '../../sys/inc/thead.php';

title();
aut();

echo '<b>Директории смайлов.</b><br/>';

if($_GET['dir']){
	msg('Директория удалена.');
	}else if($_GET['smi']){
		msg('Смайл удалён');
		}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles_dir`"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if($k_post==0){
	echo '<div class="err">Нет директорий.</div>';
	}

$q=mysql_query("SELECT * FROM `smiles_dir` ORDER BY `pos` ASC LIMIT $start, $set[p_str]");
while($post = mysql_fetch_array($q)){
if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}
$smile = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles_spis` WHERE `id_dir` = '$post[id]'"),0);
echo '<img src="/blog/gall2.gif"> <a href="dir.php?id='.$post['id'].'">'.esc(stripcslashes(htmlspecialchars($post['name']))).'</a> ('.$smile.')<br/>';
echo 'Для:&nbsp;';

if($post['level']==0){
echo 'обитателей<br/>';
}else if($post['level']==1){
echo 'модераторов<br/>';
}else if($post['level']==2){
echo 'супер модераторов<br/>';
}else if($post['level']==3){
echo 'администратора<br/>';
}else if($post['level']==4){
echo 'главного администратора<br/>';
}
//<a href="del.php?id='.$post['id'].'&amp;act=dir">удалить</a> | 
echo '<a href="edit.php?id='.$post['id'].'&amp;act=dir">изменить</a><br/>';
echo "</div>";
}

if($k_page>1){
	str('index.php?',$k_page,$page);
	}

echo '&#187;&nbsp;<a href="add.php?act=dir">Добавить директорию</a><br/>';
echo '&#187;&nbsp;<a href="../index.php">В админку</a><br/>';
}

echo '</div>';
include_once '../../sys/inc/tfoot.php';
?>